#include<stdio.h>

int main()
{
	int n, i, j;

	scanf("%d", &n);

	if(n<=0)
		printf("-1\n");
	else
		{
		for(i=0; i<n; i++)
			for(j=1; j<=n+i; j++)
				{
				if(j<n-i)
					printf(" ");
				else	
					if(j==n+i)
						printf("*\n");
					else
						if(j>=n-i && j%2==i%2)
							printf("*A");
				}
		}		




	return 0;
}
